For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET All Bookmakers

This endpoint returns all the bookmakers available in our football API.

https://api.sportmonks.com/v3/odds/bookmakers
"data": [
        {
            "id": 1,
            "name": "10Bet",
            "logo": null
        },
        {
            "id": 2,
            "name": "bet365",
            "logo": null
        },
        {
            "id": 3,
            "name": "188Bet",
            "logo": null
        },
        {
            "id": 5,
            "name": "5 Dimes",
            "logo": null
        },
        {
            "id": 7,
            "name": "888Sport",
            "logo": null
        },
        {
            "id": 9,
            "name": "BetFred",
            "logo": null
        },
        {
            "id": 11,
            "name": "Bet-At-Home",
            "logo": null
        },
        {
            "id": 13,
            "name": "BetCRIS",
            "logo": null
        },
        {
            "id": 15,
            "name": "Betfair",
            "logo": null
        },
        {
            "id": 17,
            "name": "BetOnline",
            "logo": null
        },
        {
            "id": 19,
            "name": "BetRedKings",
            "logo": null
        },
        {
            "id": 21,
            "name": "BetVictor",
            "logo": null
        },
        {
            "id": 23,
            "name": "Coral",
            "logo": null
        },
        {
            "id": 25,
            "name": "Dafabet",
            "logo": null
        },
        {
            "id": 27,
            "name": "Intertops",
            "logo": null
        },
        {
            "id": 36,
            "name": "Marathonbet",
            "logo": null
        },
        {
            "id": 44,
            "name": "Matchbook",
            "logo": null
        },
        {
            "id": 53,
            "name": "MyBet",
            "logo": null
        },
        {
            "id": 62,
            "name": "Paddy Power",
            "logo": null
        },
        {
            "id": 70,
            "name": "Pncl",
            "logo": null
        },

Field
Description
Type

id

Refers to the unique id of the bookmaker

integer

name

Refers to the name of the bookmaker

string

image_path

Image path to the bookmaker logo

string

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Static Filters
Available on Entity
Description
Example

IdAfter

All

Filter all bookmakers starting from a certain bookmaker ID. Handy if you're doing an import for all bookmakers and want to continue from a certain ID.

&filters=IdAfter:bookmakerID

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 0 nested includes on this endpoint

Include options

none

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the bookmakers endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/football/bookmakers?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/football/bookmakers?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated